## org.apache.poi.ddf
Class EscherPictBlip

    java.lang.Object
      org.apache.poi.ddf.EscherRecord
          org.apache.poi.ddf.EscherBlipRecord
              org.apache.poi.ddf.EscherPictBlip

    public final class EscherPictBlip

extends EscherBlipRecord

Author:
  Daniel Noll

Field Summary
`static short` `RECORD_ID_EMF`
`static short` `RECORD_ID_PICT`
`static short` `RECORD_ID_WMF`

Fields inherited from class org.apache.poi.ddf.EscherBlipRecord
`field_pictureData, RECORD_DESCRIPTION, RECORD_ID_END, RECORD_ID_START`

Constructor Summary
`EscherPictBlip()`

Method Summary
`int` `fillFields(byte[] data, int offset, EscherRecordFactory recordFactory)` The contract of this method is to deserialize an escher record including it's children.
`java.awt.Rectangle` `getBounds()`
`int` `getCompressedSize()`
`int` `getRecordSize()` Subclasses should effeciently return the number of bytes required to serialize the record.
`java.awt.Dimension` `getSizeEMU()`
`byte[]` `getUID()`
`int` `getUncompressedSize()`
`boolean` `isCompressed()`
`int` `serialize(int offset, byte[] data, EscherSerializationListener listener)` Serializes the record to an existing byte array.
`void` `setBounds(java.awt.Rectangle bounds)`
`void` `setCompressed(boolean compressed)`
`void` `setCompressedSize(int compressedSize)`
`void` `setSizeEMU(java.awt.Dimension sizeEMU)`
`void` `setUID(byte[] uid)`
`void` `setUncompressedSize(int uncompressedSize)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.ddf.EscherBlipRecord
`getPicturedata, getRecordName, setPictureData`

Methods inherited from class org.apache.poi.ddf.EscherRecord
`clone, display, fillFields, getChild, getChildRecords, getInstance, getOptions, getRecordId, getVersion, isContainerRecord, readHeader, readInstance, serialize, serialize, setChildRecords, setInstance, setOptions, setRecordId, setVersion`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RECORD_ID_EMF

    public static final short RECORD_ID_EMF

See Also:
  Constant Field Values

### RECORD_ID_WMF

    public static final short RECORD_ID_WMF

See Also:
  Constant Field Values

### RECORD_ID_PICT

    public static final short RECORD_ID_PICT

See Also:
  Constant Field Values

Constructor Detail

### EscherPictBlip

    public EscherPictBlip()

Method Detail

### fillFields

    public int fillFields(byte[] data,
                          int offset,
                          EscherRecordFactory recordFactory)

  Description copied from class: `EscherRecord`
  The contract of this method is to deserialize an escher record including it's children.

  Overrides:
    `fillFields` in class `EscherBlipRecord`
  Parameters:
    `data` - The byte array containing the serialized escher records.
    `offset` - The offset into the byte array.
    `recordFactory` - A factory for creating new escher records.
  Returns:
    The number of bytes written.

### serialize

    public int serialize(int offset,
                         byte[] data,
                         EscherSerializationListener listener)

  Description copied from class: `EscherRecord`
  Serializes the record to an existing byte array.

  Overrides:
    `serialize` in class `EscherBlipRecord`
  Parameters:
    `offset` - the offset within the byte array
    `data` - the data array to serialize to
    `listener` - a listener for begin and end serialization events. This is useful because the serialization is hierarchical/recursive and sometimes you need to be able break into that.
  Returns:
    the number of bytes written.

### getRecordSize

    public int getRecordSize()

  Description copied from class: `EscherRecord`
  Subclasses should effeciently return the number of bytes required to serialize the record.

  Overrides:
    `getRecordSize` in class `EscherBlipRecord`
  Returns:
    number of bytes

### getUID

    public byte[] getUID()

### setUID

    public void setUID(byte[] uid)

### getUncompressedSize

    public int getUncompressedSize()

### setUncompressedSize

    public void setUncompressedSize(int uncompressedSize)

### getBounds

    public java.awt.Rectangle getBounds()

### setBounds

    public void setBounds(java.awt.Rectangle bounds)

### getSizeEMU

    public java.awt.Dimension getSizeEMU()

### setSizeEMU

    public void setSizeEMU(java.awt.Dimension sizeEMU)

### getCompressedSize

    public int getCompressedSize()

### setCompressedSize

    public void setCompressedSize(int compressedSize)

### isCompressed

    public boolean isCompressed()

### setCompressed

    public void setCompressed(boolean compressed)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `EscherBlipRecord`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.